Subject: [MSEC] comments on draft-liang-msec-mikey-xtr-00

From: "CAO, ZHEN" <[email-masked]>
Date: Wed, 1 Nov 2006 08:48:02 +0800

Hi Jing,

I have read your draft. You state that XTR has less communication overhead,
and significant computation advantages, which leads to a conclusion that XTR
could be suitable for the wireless and smart device. Could you help to
explain why XTR is better than other algorithms such as RSA or ECC?

Many thanks,
Zhen
_______________________________________________
msec mailing list
[email-masked]
http://six.pairlist.net/mailman/listinfo/msec

---

From: liangjing <[email-masked]>
Date: Wed, 1 Nov 2006 09:00:01 +0800

Hi,

  In arithmetic theory, XTR uses the trace over GF(p2) to represent an
element g of the order p2-p+1 subgroup GF(p6) to achieve a factor 3
computation size reduction and thus faster calculations.
  The reason that XTR uses this specific subgroup g is not just that it
provides full GF(p6)
security, but also very efficient representation, at a small
cost.Forexample, if one is
willing to give up the distinction between elements and their conjugates
over GF(p2), then
not only elements of the XTR super group can be represented using an element
of GF(p6)
as opposed to GF(p6). But also calculations take place in GF(p2) instead of
GF(p6) and
can thus be performed much faster than usual.
  The paper "the XTR public key system", has proposed the XTR algorithm in
theory.

Best Regards
-Jing

2006/11/1, CAO, ZHEN <[email-masked]>:
>
> Hi Jing,
>
> I have read your draft. You state that XTR has less communication
> overhead, and significant computation advantages, which leads to a
> conclusion that XTR could be suitable for the wireless and smart device.
> Could you help to explain why XTR is better than other algorithms such as
> RSA or ECC?
>
> Many thanks,
> Zhen
>